leafpad(1)

Name
leafpad - GTK+ based simple text editor

Synopsis
leafpad [OPTIONS...] [filename]

Description
Leafpad is a simple GTK+ text editor that emphasizes simplicity. As development focuses on keeping weight down to a minimum, only the most essential features are implemented in the editor. Leafpad is simple to use, is easily compiled, requires few libraries, and starts up quickly. Currently Leafpad has the following features:

    Codeset option (Some OpenI18N registered)

    Auto codeset detection (UTF-8 and some codesets)

    Unlimitted Undo/Redo

    Auto/Multi-line Indent

    Display line numbers

    Drag and Drop

    Printing

Options

-h, --help
    Show help options

-help-all
    Show all help options

--help-gtk
    Show GTK+ Options

--class=CLASS
    Program class as used by the window manager

--name=NAME
    Program name as used by the window manager

--screen=SCREEN
    X screen to use

--gdk-debug=FLAGS
    GDK debugging flags to set

--gdk-no-debug=FLAGS
    GDK debugging flags to unset

--sync
    Make X calls synchronous

--gtk-module=MODULES
    Load additional GTK+ modules

--g-fatal-warnings
    Make all warnings fatal

--gtk-debug=FLAGS
    GTK+ debugging flags to set

--gtk-no-debug=FLAGS
    GTK+ debugging flags to unset

--codeset=CODESET
    Set codeset to open file

--tab-width=WIDTH
    Set tab width

--jump=LINENUM
    Jump to specified line

--version
    Show version number

--display=DISPLAY
    X display to use

Author
Tarot Osuji

Copyright
Copyright (c) 2004-2010